###################################################
### chunk number 1: 
###################################################
options(width=65)


###################################################
### chunk number 2: 
###################################################
library(OCplus)


###################################################
### chunk number 3: 
###################################################
ss1 = samplesize(p0=0.95, D=1, crit=0.01)


###################################################
### chunk number 4: 
###################################################
ss1


###################################################
### chunk number 5: 
###################################################
samplesize(p0=0.95, D=1, crit=0.01)


###################################################
### chunk number 6: 
###################################################
TOC(n=20, p0=0.95, D=1, alpha=FALSE, legend=TRUE)


###################################################
### chunk number 7: 
###################################################
set.seed(123)
simdat = MAsim(ng=10000, n=10, p0=0.95, D=1, sigma=1)
dim(simdat)
colnames(simdat)


###################################################
### chunk number 8: 
###################################################
sim1 = EOC(simdat, colnames(simdat))
sim1[1:5,]


###################################################
### chunk number 9: 
###################################################
topDE(sim1, co=0.1)


###################################################
### chunk number 10: 
###################################################
p0(sim1)


###################################################
### chunk number 11: 
###################################################
plot(sim1)


###################################################
### chunk number 12: 
###################################################
sim2 = fdr1d(simdat, colnames(simdat), verb=FALSE)
sim2[1:5,]


###################################################
### chunk number 13: 
###################################################
summary(sim2)


###################################################
### chunk number 14: 
###################################################
topDE(sim2, co=0.1)


###################################################
### chunk number 15: 
###################################################
plot(sim2)


###################################################
### chunk number 16: 
###################################################
sim3 = fdr2d(simdat, colnames(simdat), p0=p0(sim2), verb=FALSE)
sim3[1:5,]


###################################################
### chunk number 17: 
###################################################
plot(sim2)
lines(average.fdr(sim3), lty=2)


###################################################
### chunk number 18: 
###################################################
summary(sim3)
topDE(sim3, co=0.1)


###################################################
### chunk number 19: 
###################################################
plot(sim3)


###################################################
### chunk number 20: 
###################################################
OCshow(sim1, sim2, sim3, legend=c("FDR","fdr1d","fdr2d"))


###################################################
### chunk number 21: 
###################################################
tt = tstatistics(simdat, colnames(simdat))
tt[1:10,] 
tm = tMixture(tt, nq=3)


###################################################
### chunk number 22: 
###################################################
tm$p0.est


###################################################
### chunk number 23: 
###################################################
tMixture(tt, nq=3, p0=0.80)$p0.est
tMixture(tt, nq=3, p0=0.60)$p0.est


###################################################
### chunk number 24: 
###################################################
tm2 = tMixture(tt, nq=5)
tm2$p0.est
tm2$p0.raw


###################################################
### chunk number 25: 
###################################################
tm2$p1
tm2$delta


